Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Interface NodeListener

All Superinterfaces:
  EventListener, PropertyChangeListener

All Known Implementing Classes:
  FilterNode.NodeAdapter, NodeAdapter

    public interface NodeListener

extends PropertyChangeListener

Listener to special changes in `Node`s. Is a property change listener so that all changes in properties in the `node` can be fired in the usual way.

Methods childrenAdded, childrenRemoved and childrenReordered are called with Children.MUTEX.writeAccess which guarantees that no other thread can change the hierarchy during that time, but also requires proper implementation of all NodeListeners which should avoid calls to other threads which might require access to Children.MUTEX due to changes nodes hierarchy or do any other kind of starvation.

Method Summary
`void` | `childrenAdded(NodeMemberEvent ev)` Fired when a set of new children is added.
`void` | `childrenRemoved(NodeMemberEvent ev)` Fired when a set of children is removed.
`void` | `childrenReordered(NodeReorderEvent ev)` Fired when the order of children is changed.
`void` | `nodeDestroyed(NodeEvent ev)` Fired when the node is deleted.

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Method Detail

### childrenAdded

    void childrenAdded(NodeMemberEvent ev)

  Fired when a set of new children is added.

  Parameters:
    `ev` - event describing the action

### childrenRemoved

    void childrenRemoved(NodeMemberEvent ev)

  Fired when a set of children is removed.

  Parameters:
    `ev` - event describing the action

### childrenReordered

    void childrenReordered(NodeReorderEvent ev)

  Fired when the order of children is changed.

  Parameters:
    `ev` - event describing the change

### nodeDestroyed

    void nodeDestroyed(NodeEvent ev)

  Fired when the node is deleted.

  Parameters:
    `ev` - event describing the node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.